Bug 77922 - Validation from diagram is working not correctly
Validation from diagram is working not correctly
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL
5.x
All All
: P1 (vote)
: 5.x
Assigned To: Praveen Savur
issues@soa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 17:01 UTC by Andrey Yamkovoy
Modified: 2006-08-31 02:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Yamkovoy 2006-06-14 17:01:08 UTC
Bpel is correct, but validator fails with errors and warnings. 

Steps to reproduce:
- Create Synchronous sample project.
- Open bpel diagram and press 'Validate' button.
- Following validation results window appears with 5 warnings and 5 errors.

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :1,0
org.netbeans.modules.bpel.model.impl.ProcessImpl@19be234 :  First Error  :  
Suggestion to fix the first error

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :12,2
org.netbeans.modules.bpel.model.impl.ImportImpl@16d9d1c :  First Error  :  
Suggestion to fix the first error

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :15,3
org.netbeans.modules.bpel.model.impl.PartnerLinkContainerImpl@165b197 :  First 
Error  :  Suggestion to fix the first error

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :22,3
org.netbeans.modules.bpel.model.impl.VariableContainerImpl@1ab52d8 :  First 
Error  :  Suggestion to fix the first error

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :28,3
org.netbeans.modules.bpel.model.impl.SequenceImpl@cc0289 :  First Error  :  
Suggestion to fix the first error

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :1,0
org.netbeans.modules.bpel.model.impl.ProcessImpl@19be234 :  First Warning  :  
Suggestion to fix the first warning.

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :12,2
org.netbeans.modules.bpel.model.impl.ImportImpl@16d9d1c :  First Warning  :  
Suggestion to fix the first warning.

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :15,3
org.netbeans.modules.bpel.model.impl.PartnerLinkContainerImpl@165b197 :  First 
Warning  :  Suggestion to fix the first warning.

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :22,3
org.netbeans.modules.bpel.model.impl.VariableContainerImpl@1ab52d8 :  First 
Warning  :  Suggestion to fix the first warning.

E:/SUN/Temp/Temp2222/SynchronousSample6/SynchronousSample6/src/SynchronousSample
.bpel :28,3
org.netbeans.modules.bpel.model.impl.SequenceImpl@cc0289 :  First Warning  :  
Suggestion to fix the first warning.

5 Error(s),  5 Warning(s).
Comment 1 Praveen Savur 2006-07-12 00:38:20 UTC
These were default messages from a test validator added before an actual BPEL
validator was available.  

This test validator has been removed now.
Comment 2 Andrey Yamkovoy 2006-07-13 16:19:48 UTC
Fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo